# Build & Run

Follow this guide to build the modules needed to run the apps in the local environment using `npm`.

* [Build](#build)
    * [Building using npm](#building-using-npm)
* [Run](#run)

Before building, run the following command from the root of the `asgardeo-app-extensions` (where the root `pom.xml` is located).

```shell
mvn antrun:run@build-pack
```

Run the following command in the above same root directory.

```shell
mvn antrun:run@init-extensions
```

## Build

### Building using npm

Then navigate to the `target/identity-apps/apps/console/scripts/` and execute the `pre-install.js`.

```shell
node pre-install.js
```
After that, navigate back to the `target/identity-apps/` and execute the build command.

```shell
npm run build
```

## Run

To run the apps, navigate to the specific folder and execute following command.

```shell
# To start console on port 443
cd apps/console
npm start
```
(If running on dev environment, follow the file configurations mentioned in [asgardeo-app-extensions](https://github.com/wso2-enterprise/asgardeo-app-extensions/blob/master/README.md) after `mvn clean install`)
